PUT /api/security/entity_store/stop

Spaces method and path for this operation:

put /s/{space_id}/api/security/entity_store/stop

Refer to Spaces for more information.

Stop running entity engines, pausing data processing for the specified entity types.

[Required authorization] Route required privileges: securitySolution.

Headers

  • kbn-xsrf string Required

    A required header to protect against CSRF attacks

application/json

Body

  • entityTypes array[string]

    Entity types to stop. Defaults to all running types.

    Values are user, host, service, or generic. Default value is ["user", "host", "service", "generic"].

Responses

  • 200 application/json

    Indicates a successful response.

PUT /api/security/entity_store/stop
curl -X PUT -H "kbn-xsrf: true" -H "Authorization: ApiKey ${API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{"entityTypes":["user","host","service","generic"]}' \
  "${KIBANA_URL}/api/security/entity_store/stop"
PUT kbn://api/security/entity_store/stop
{
  "entityTypes": ["user", "host", "service", "generic"]
}
Request example
Stop all running entity engines.
{
  "entityTypes": [
    "user",
    "host",
    "service",
    "generic"
  ]
}
Response examples (200)
The specified entity engines were successfully stopped.
{
  "ok": true
}